version: '3.9'

networks:
  public:
    name: onlytravaux_public_network
  db:
    name: onlytravaux_db_network
  fpm:
    name: onlytravaux_fpm_network
  sign:
    name: onlytravaux_sign_network
  wp:
    name: onlytravaux_wp_network

services:

  nginx:
    build:
      context: ./.docker/services/nginx
    container_name: otr_nginx
    depends_on:
      - php
      - wpphp
    volumes:
      - ./only-backend/public:/var/www/html/public:ro
      - ./only-blog:/var/www/only-blog:ro
      - ./.data-nginx/nginx/var/log:/var/log/nginx:rw
      - ./.docker/services/nginx/only-blog/.htpassword:/etc/app/only-blog/.htpassword
    ports:
      - "80:80"
    environment:
      - NGINX_PUBLIC_HOST=${NGINX_PUBLIC_HOST}
      - NGINX_SIGN_HOST=${NGINX_SIGN_HOST}
      - NGINX_SIGN_URL=${NGINX_SIGN_URL}
      - WP_PUBLIC_HOST=${WP_PUBLIC_HOST}
      - WP_CLUSTER_HOST=${WP_CLUSTER_HOST}
    networks:
      fpm:
        aliases:
          - ${NGINX_PUBLIC_HOST}
      public:
        aliases:
          - ${NGINX_PUBLIC_HOST}
      sign:
        aliases:
          - ${NGINX_SIGN_HOST}

  php:
    build:
      context: ./.docker/services/php
    container_name: otr_php
    volumes:
      - ./only-backend/:/var/www/html:rw,cached
      - ./.data-php/php/var/log:/var/log:rw,cached
      - ./.docker/services/php/conf.d/onlytravaux.ini:/usr/local/etc/php/conf.d/onlytravaux.ini:ro
    environment:
      - PHP_SIGN_HOST=${PHP_SIGN_HOST}
      - JAVA_SIGN_HOST=${JAVA_SIGN_HOST}
      - UID=1000
      - GID=1000
    networks:
      fpm:
      db:
      sign:
        aliases:
          - ${PHP_SIGN_HOST}

  java:
    build:
      context: ./.docker/services/java
    container_name: otr_java
    depends_on:
      - nginx
    volumes:
      - ./.env.aws.config:/root/.aws/config:rw,cached
      - ./.env.aws.credentials:/root/.aws/credentials:rw,cached
      - ./.data-java/storage/signature/:/root/storage/signature:rw,cached
      - ./.data-java/.log/:/root/.log:rw,cached
      - ./only-signature/certificates:/root/certificates:rw,cached
      - ./only-signature/.env.properties:/root/.env.properties:rw,cached
      - ./only-signature/signature.jar:/root/signature.jar:rw,cached
    networks:
      sign:
        aliases:
          - ${JAVA_SIGN_HOST}

  wpphp:
    image: wordpress:6.0.0-fpm
    container_name: otr_wpphp
#    depends_on:
#      - wpmysql
    environment:
      WORDPRESS_DB_NAME: ${WP_DB_DATABASE}
      WORDPRESS_DB_HOST: ${WP_DB_HOST}
      WORDPRESS_DB_USER: ${WP_DB_USERNAME}
      WORDPRESS_DB_PASSWORD: ${WP_DB_PASSWORD}
    volumes:
      - ./only-blog:/var/www/html
      - ./.docker/services/wp/conf.d/zz-docker.conf:/usr/local/etc/php-fpm.d/zz-docker.conf:ro
      - ./.docker/services/wp/php/conf.d/onlytravaux.ini:/usr/local/etc/php/conf.d/onlytravaux.ini:ro
    networks:
      wp:
      fpm:
        aliases:
          - ${WP_CLUSTER_HOST}

#  wpmysql:
#    image: mysql:5.7
#    container_name: otr_wpmysql
#    environment:
#      MYSQL_DATABASE: ${WP_DB_DATABASE}
#      MYSQL_USER: ${WP_DB_USERNAME}
#      MYSQL_PASSWORD: ${WP_DB_PASSWORD}
#      MYSQL_ROOT_PASSWORD: ${WP_DB_ROOT_PASSWORD}
#    volumes:
#      - ./.data-wpmysql/var/lib/mysql:/var/lib/mysql
#    networks:
#      wp:
